/* ******************************************************************

   author     : puehringer edgar

   compiler   : javac (jdk 1.1.5)

   class      : Beep
   date       : 27.02.98
   description: the static methods beep and asciiBeep of this class
                emit an audio beep

*********************************************************************/

/* ******************************************************************
   import statements
*********************************************************************/

import java.awt.*;

/* ******************************************************************
   top level class declaration
*********************************************************************/

public class Beep {

  // class variable declarations
  private static boolean enabled = true;

  // constructors
  private Beep() {
    // private constructors make it impossible, to create instances
  } // end constructor Beep

  // methods
  public static void setEnabled(boolean b) {
    enabled = b;
  } // end setEnabled

  public static boolean getEnabled() {
    return enabled;
  } // end getEnabled

  public static void beep() {
    if (enabled) Toolkit.getDefaultToolkit().beep();
  } // end beep

  public static void asciiBeep() {
    if (enabled) {
      System.out.print("\07");
      System.out.flush();
    } // end if
  } // end asciiBeep

  public static void asciiBeep(int n) {
    if (enabled) {
      int i;
      for (i=0; i<n; i++) System.out.print("\07");
      System.out.flush();
    } // end if
  } // end asciiBeep

} // end Beep

/* ******************************************************************
   end of file
*********************************************************************/
