/* ******************************************************************

   author     : puehringer edgar

   compiler   : javac (jdk 1.1.5)

   class      : CalendarCreator
   date       : 2.10.97
   description: a class that returns a calendar instance and more
   modified   : 9.2.98 - minimum days of first week set to four
                         first day of week set to monday

*********************************************************************/

/* ******************************************************************
   import statements
*********************************************************************/

import java.util.*;

/* ******************************************************************
   top level class declaration
*********************************************************************/

public class CalendarCreator {

  // class variable definitions
  private static TimeZone timeZone;
  private static Calendar calendar;

  // static initializer
  static {
    timeZone = new SimpleTimeZone(1*60*60*1000,"MET");
    calendar = new GregorianCalendar(timeZone);
    calendar.setMinimalDaysInFirstWeek(4);
    calendar.setFirstDayOfWeek(Calendar.MONDAY);
  } // end static initializer

  // methods
  public static Calendar get() {
    return (Calendar)calendar.clone();
  } // end get

  public static TimeZone getTimeZone() {
    return timeZone;
  } // end getTimeZone

  public static Locale getLocale() {
    return Locale.GERMAN;
  } // end getLocale

} // end CalendarCreator

/* ******************************************************************
   end of file
*********************************************************************/
